import { ExecuteConfig, ExecuteResult, ExecuteCommand } from './execute';
import { MagickInputFile, MagickFile } from './magickApi';
/**
 * Allow multiple execute() calls remembering previus execute() generated output files and previous given input files that can be used as input files in next calls.
 */
export interface ExecutionContext {
    execute(configOrCommands: ExecuteConfig | ExecuteCommand | string): Promise<ExecuteResult>;
    addFiles(files: MagickFile[]): void;
    getAllFiles(): Promise<MagickInputFile[]>;
}
export declare function newExecutionContext(inheritFrom?: ExecutionContext): ExecutionContext;
