import { MagickInputFile, MagickFile } from '.';
export interface ImageHome {
    get(name: string): Promise<MagickInputFile>;
    register(file: MagickFile, name?: string): void;
    isRegistered(name: string): boolean;
    getAll(): Promise<MagickInputFile[]>;
}
declare type MagickInputFilePromise = Promise<MagickInputFile> & {
    resolved: true;
};
declare class ImageHomeImpl implements ImageHome {
    private images;
    get(name: string): Promise<MagickInputFile>;
    getAll(): Promise<MagickInputFile[]>;
    register(file: MagickFile, name?: string): MagickInputFilePromise;
    isRegistered(name: string, andReady?: boolean): boolean;
}
export declare function createImageHome(): ImageHomeImpl;
export {};
