"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("./util/file");
class ImageHomeImpl {
    constructor() {
        this.images = {};
    }
    get(name) {
        return this.images[name];
    }
    async getAll() {
        return await Promise.all(Object.keys(this.images).map(k => this.images[k]));
    }
    register(file, name = file.name) {
        const promise = file_1.asInputFile(file);
        this.images[name] = promise;
        this.images[name].catch(() => { }).then(() => {
            promise.resolved = true;
        });
        return promise;
    }
    isRegistered(name, andReady = true) {
        return this.images[name] && (andReady && this.images[name].resolved);
    }
}
function createImageHome() { return new ImageHomeImpl(); }
exports.createImageHome = createImageHome;
//# sourceMappingURL=imageHome.js.map