"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Call(inputFiles, command) {
    const request = {
        files: inputFiles,
        args: command,
        requestNumber: magickWorkerPromisesKey,
    };
    const emptyPromise = CreatePromiseEvent();
    magickWorkerPromises[magickWorkerPromisesKey] = emptyPromise;
    magickWorker.postMessage(request);
    magickWorkerPromisesKey = magickWorkerPromisesKey + 1;
    return emptyPromise;
}
exports.Call = Call;
function CreatePromiseEvent() {
    let resolver;
    let rejecter;
    const emptyPromise = new Promise((resolve, reject) => {
        resolver = resolve;
        rejecter = reject;
    });
    emptyPromise.resolve = resolver;
    emptyPromise.reject = rejecter;
    return emptyPromise;
}
const magickWorker = new Worker('magick.js');
const magickWorkerPromises = {};
let magickWorkerPromisesKey = 1;
// handle responses as they stream in after being processed by image magick
magickWorker.onmessage = e => {
    // display split images
    const response = e.data;
    const getPromise = magickWorkerPromises[response.requestNumber];
    delete magickWorkerPromises[response.requestNumber];
    const files = response.processed;
    if (files.length === 0) {
        getPromise.reject('No files generated');
    }
    else {
        getPromise.resolve(files);
    }
};
//# sourceMappingURL=magickApi.js.map