"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("./file");
// utilities related to HTML (img) elements
async function loadImageElement(image, el) {
    const outputFile = await file_1.asOutputFile(image);
    el.src = URL.createObjectURL(outputFile.blob);
}
exports.loadImageElement = loadImageElement;
function inputFileFiles(el) {
    const files = [];
    for (let i = 0; i < el.files.length; i++) {
        const file = el.files.item(i);
        files.push(file);
    }
    return files;
}
async function inputFileToUint8Array(el) {
    return Promise.all(inputFileFiles(el).map(async (file) => {
        const content = await new Promise(resolve => {
            const reader = new FileReader();
            reader.addEventListener('loadend', e => {
                resolve(new Uint8Array(reader.result));
            });
            reader.readAsArrayBuffer(file);
        });
        return { file, content };
    }));
}
/** will build MagickInputFile[] from given HTMLInputElement of type=file that user may used to select several files */
async function getInputFilesFromHtmlInputElement(el) {
    const files = await inputFileToUint8Array(el);
    return files.map(f => ({ name: f.file.name, content: f.content }));
}
exports.getInputFilesFromHtmlInputElement = getInputFilesFromHtmlInputElement;
//# sourceMappingURL=html.js.map