"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
async function compare(img1, img2, error = 0.01) {
    const identical = await compareNumber(img1, img2);
    return identical <= error;
}
exports.compare = compare;
async function compareNumber(img1, img2) {
    const result = await __1.Call([await __1.asInputFile(img1), await __1.asInputFile(img2)], ['convert', img1.name, img2.name, '-resize', '256x256^!', '-metric', 'RMSE', '-format', '%[distortion]', '-compare', 'info:info.txt']);
    const n = await __1.blobToString(result[0].blob);
    return parseFloat(n);
}
exports.compareNumber = compareNumber;
async function extractInfo(img) {
    const inputImage = await __1.asInputFile(img);
    const processedFiles = await __1.Call([inputImage], ['convert', inputImage.name, 'info.json']);
    return JSON.parse(await __1.blobToString(processedFiles[0].blob));
}
exports.extractInfo = extractInfo;
//# sourceMappingURL=image.js.map